Afgelopen weken kwamen we op meerdere sites de volgende http 500 errors tegen. Deze Genesis site problemen zorgen ervoor dat het volgende niet meer werkt:

  1. Bewerken werkt niet, ook met of zonder child theme
  2. Het bekijken van archieven / tags /categorieeen op de site werkt niet, in combinatie met WP Views/types

Genesis site problemen: Bewerken werkt niet, ook met of zonder child theme

Error log:

[Thu Sep 15 12:36:50.509033 2016] [:error] [pid 4658] [client 123.123.123.123:58023] PHP Catchable fatal error: Argument 1 passed to Genesis_Admin_CPT_Archive_Settings::__construct() must be an instance of stdClass, instance of WP_Post_Type given, called in /home/x/domains/x.nl/public_html/wp-content/themes/genesis/lib/admin/menu.php on line 122 and defined in /home/x/domains/x.nl/public_html/wp-content/themes/genesis/lib/admin/cpt-archive-settings.php on line 38

Nota bene: jouw error log kan er qua paden iets anders uitzien, het gaat om dit stuk:
PHP Catchable fatal error: Argument 1 passed to Genesis_Admin_CPT_Archive_Settings::__construct() must be an instance of stdClass, instance of WP_Post_Type given

De oplossing:

Update je Genesis hoofd thema, die moet minimaal versie 2.3.1 zijn.

Kun je niet meer in je wp-admin komen? Download de zipfile van Studiopress zelf, pak m uit en zorg dat je met FTP/SSH of je webmanager de bestanden online zet.

 

Genesis site problemen: Het bekijken van archieven / tags /categorieeen op de site werkt niet, in combinatie met WP Views/types

Error log:

[Tue Sep 13 19:49:59.137178 2016] [:error] [pid 4494] [client 123.123.123.123:52343] PHP Fatal error:  Call to undefined method WPV_Settings::get_instance() in /home/x/domains/x.com/public_html/wp-content/plugins/types/library/toolset/toolset-common/user-editors/medium/screen/content-template/frontend.php on line 61, referer: http://x.com/type-eten/vis/

Nota bene: jouw error log kan er qua paden iets anders uitzien, het gaat om dit stuk:
PHP Fatal error:  Call to undefined method WPV_Settings::get_instance()

De oplossing:

Update je Genesis hoofd thema, die moet minimaal versie 2.3.1 zijn.
Hoewel de melding wel van de toolset plugin komt, ligt het niet aan die plugin.

Kun je niet meer in je wp-admin komen? Download de zipfile van Studiopress zelf, pak m uit en zorg dat je met FTP/SSH of je webmanager de bestanden online zet.

Genesis WordPress Framework

Thema algemeen

Zie je een witte pagina? Internal server error? Error 500, 502, 503, 504 of error 403 ? Kijk dan altijd in je error log, daar staan vaak hele nuttige wenken in om je probleem te vinden en op te lossen. Ook in de response headers kan vaak extra informatie staan over de reden.

Zorg dat je WordPress thema's bijgewerkt zijn en blijven. Ook als ze niet van goedkope marktplaatsen komen en dus bij StudioPress of WooThemes gekocht zijn of juist gratis via WordPress.org. Met het bijwerken van thema's voorkom je compatibiliteits problemen zoals deze beschreven problemen en blijft je site werken.


Geef je reactie

Je e-mailadres wordt niet gepubliceerd. Verplichte velden zijn gemarkeerd met *

Geef je reactie

Je e-mailadres wordt niet gepubliceerd. Verplichte velden zijn gemarkeerd met *

Ervaringen van anderen

Lees ook

  • Raden van namen via wp-login.php tegengaan

    Veiligheid

    Goed nieuws! Vanaf nu (14 juli 2016 red.) hebben we de meldingen die je ziet bij het inloggen aangepast. Het is daarmee niet meer mogelijk om via een normale login poging (door het invullen van gebruikersnaam en wachtwoord) een gebruikersnaam te raden. Uiteraard had je al de plugin Limit login attempts in gebruik, die blokkeert pogingen om […]

  • Ik wil niet dat mijn site als onveilig wordt gezien

    Veiligheid

    Vaakgehoord: Ik heb een site en in browsers krijgen mijn bezoeker een melding. "Deze verbinding is onveilig." Maar ik heb nog geen certificaat. Wat moet ik doen? En vaak aanvullend: Welk type certificaat moet ik dan hebben? Er zijn er zo veel om uit te kiezen. Ik wil gewoon die melding weg hebben.

  • Makkelijk zien welke template file gebruikt wordt in je site en WooCommerce shop

    Plugin

    Soms ben je met een site bezig, en je weet maar niet welke PHP template er gebruikt wordt. Met deze plugins kun je heel snel inzicht krijgen welke template er voor een specifieke pagina gebruikt wordt. Zelfs voor WooCommerce (sub) templates is een oplossing!